org.apache.pdfbox.preflight.font.container

## Class Type0Container

- java.lang.Object
- - org.apache.pdfbox.preflight.font.container.FontContainer<org.apache.pdfbox.pdmodel.font.PDFont>
  - - org.apache.pdfbox.preflight.font.container.Type0Container

    public class Type0Container
    extends FontContainer<org.apache.pdfbox.pdmodel.font.PDFont>

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.font.container.FontContainer

`embeddedFont, errorBuffer, font`

### Constructor Summary

Constructors
Constructor and Description
`Type0Container(org.apache.pdfbox.pdmodel.font.PDFont font)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ValidationResult.ValidationError>` `getAllErrors()`
`boolean` `hasGlyph(int code)` Checks if the embedded font contains a glyph for the given character code.
`boolean` `isEmbeddedFont()`
`boolean` `isValid()`
`void` `setDelegateFontContainer(FontContainer<?> delegateFontContainer)`

### Methods inherited from class org.apache.pdfbox.preflight.font.container.FontContainer

`checkGlyphWidth, errorsAleadyMerged, markAsInvalid, markAsValid, notEmbedded, push, push, setErrorsAlreadyMerged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Type0Container

    public Type0Container(org.apache.pdfbox.pdmodel.font.PDFont font)

### Method Detail

#### setDelegateFontContainer

    public void setDelegateFontContainer(FontContainer<?> delegateFontContainer)

#### getAllErrors

    public List<ValidationResult.ValidationError> getAllErrors()

Overrides:
  `getAllErrors` in class `FontContainer<org.apache.pdfbox.pdmodel.font.PDFont>`

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `FontContainer<org.apache.pdfbox.pdmodel.font.PDFont>`

#### isEmbeddedFont

    public boolean isEmbeddedFont()

Overrides:
  `isEmbeddedFont` in class `FontContainer<org.apache.pdfbox.pdmodel.font.PDFont>`

#### hasGlyph

    public boolean hasGlyph(int code)
                     throws IOException

Description copied from class: `FontContainer`
Checks if the embedded font contains a glyph for the given character code.

Specified by:
  `hasGlyph` in class `FontContainer<org.apache.pdfbox.pdmodel.font.PDFont>`
Parameters:
  `code` - character code
Throws:
  `IOException`